---
name: Bug report
about: Create a bug report to help us improve
title: "[BUG] Description"
labels: 'Issue: Bug'
assignees: ''

---

#### Bug Report Checklist

- [ ] Have you provided a code sample to reproduce the issue?
- [ ] Have you tested with the latest release to confirm the issue still exists?
- [ ] Have you searched for related issues/PRs?
- [ ] What's the actual output vs expected output?

<!--
Please follow the issue template below for bug reports and feature requests.
-->

**Description**
A clear and concise description of what is the question, suggestion, or issue and why this is a problem for you.

**To Reproduce**
Steps to reproduce the behavior.

**Expected behavior**
A clear and concise description of what you expected to happen.

**Screenshots**
If applicable, add screenshots to help explain your problem.

**Additional context**
Add any other context about the problem here (OS, language version, etc..).


**Related issues/PRs**
Has a similar issue/PR been reported/opened before?

**Suggest a fix/enhancement**
If you can't fix the bug yourself, perhaps you can point to what might be causing the problem (line of code or commit), or simply make a suggestion.